> For the complete documentation index, see [llms.txt](https://docs.calypso.money/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.calypso.money/api-reference/tariff-api.md).

# Tariff API

Tariff API

## Get extended fee for the operation

> Permission annotations:

```json
{"openapi":"3.0.1","info":{"title":"Public API","version":"dev"},"tags":[{"name":"Tariff API","description":"Tariff API"}],"servers":[{"url":"https://api.calypso.money","description":"Generated server url"}],"paths":{"/api/v1/tariff/extended-fee":{"post":{"tags":["Tariff API"],"summary":"Get extended fee for the operation","description":"Permission annotations:","operationId":"getFeeExtended","parameters":[{"name":"Key","in":"header","required":true,"schema":{"type":"string"}},{"name":"Sign","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ContainerFeeExtendedPgRequestDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/FeeExtendedPgResponseDTO"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PublicGatewayErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PublicGatewayErrorResponse"}}}}}}}},"components":{"schemas":{"ContainerFeeExtendedPgRequestDTO":{"required":["payload","timestamp"],"type":"object","properties":{"timestamp":{"type":"integer","description":"Current unix UTC timestamp in milliseconds. Must not be less than 3 minutes in the past and not greater than 3 minutes in the future","format":"int64"},"payload":{"$ref":"#/components/schemas/FeeExtendedPgRequestDTO"}},"description":"Object with request data"},"FeeExtendedPgRequestDTO":{"required":["items"],"type":"object","properties":{"items":{"minItems":1,"type":"array","description":"Data items for calculating extended fees","items":{"$ref":"#/components/schemas/FeeExtendedItemPgRequestDTO"}}},"description":"Request data for calculating extended fees"},"FeeExtendedItemPgRequestDTO":{"required":["baseAmount","currency","feeType","opType"],"type":"object","properties":{"baseAmount":{"type":"number","description":"Base amount"},"currency":{"type":"string","description":"Currency ticker"},"opType":{"type":"string","description":"Operation type","enum":["INVOICE","WITHDRAWAL"]},"feeType":{"type":"string","description":"Fee type","enum":["SERVICE","FIX","PERCENT"]}},"description":"Request item data for calculating extended fees"},"FeeExtendedPgResponseDTO":{"required":["items"],"type":"object","properties":{"items":{"minItems":1,"type":"array","description":"List of items with calculated fee details","items":{"$ref":"#/components/schemas/FeeExtendedItemPgResponseDTO"}}},"description":"Response data containing extended fee calculation results"},"FeeExtendedItemPgResponseDTO":{"required":["amount","currency","feeReceiver","feeSender","opType"],"type":"object","properties":{"amount":{"type":"number","description":"Transaction amount"},"currency":{"type":"string","description":"Currency ticker"},"opType":{"type":"string","description":"Operation type","enum":["INVOICE","WITHDRAWAL"]},"feeReceiver":{"$ref":"#/components/schemas/FeeExtendedCalculationResultPgResponseDTO"},"feeSender":{"$ref":"#/components/schemas/FeeExtendedCalculationResultPgResponseDTO"}},"description":"Response item data containing extended fee calculation results"},"FeeExtendedCalculationResultPgResponseDTO":{"required":["amount","fee"],"type":"object","properties":{"amount":{"type":"number","description":"Transaction amount"},"fee":{"type":"number","description":"Calculated fee amount"},"fixedFee":{"type":"number","description":"Calculated fixed fee amount"},"percentFee":{"type":"number","description":"Calculated percent fee amount"}},"description":"Detailed fee calculation result for one party"},"PublicGatewayErrorResponse":{"required":["errorCode","message","traceId"],"type":"object","properties":{"traceId":{"type":"string"},"errorCode":{"type":"string"},"message":{"type":"string"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.calypso.money/api-reference/tariff-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
